Generation Framework

## org.eclipse.gmf.tooldef
Interface ContextMenu

All Superinterfaces:
  EObject, Menu, Notifier

All Known Implementing Classes:
  ContextMenuImpl

public interface ContextMenu
extends Menu

A representation of the model object 'Context Menu'.

The following features are supported:

- `Default`

See Also:
  `GMFToolPackage.getContextMenu()`
** Generated **
Model:

Method Summary
`MenuAction` `getDefault()` Returns the value of the 'Default' reference
`void` `setDefault(MenuAction value)` Sets the value of the '`Default`' reference

Methods inherited from interface org.eclipse.gmf.tooldef.Menu
`getItems`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDefault

    public MenuAction getDefault()

  Returns the value of the 'Default' reference.

  If the meaning of the 'Default' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default' reference.
  See Also:
    `ContextMenu.setDefault(MenuAction)`, `GMFToolPackage.getContextMenu_Default()`
  ** Generated **
  Model:

### setDefault

    public void setDefault(MenuAction value)

  Sets the value of the '`Default`' reference.

  Parameters:
    `value` - the new value of the 'Default' reference.
  See Also:
    `ContextMenu.getDefault()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.